package com.yidianling.consultant.model.bean

import android.widget.TextView


/**
 * 所有筛选条件
 * Created by zqk on 17-9-20.
 */
data class AllFilter(
        var searchWord: String? = null,
        val categories: ArrayList<CateItem> = ArrayList(), //主题
        var reorder: ReorderItem = ReorderItem(), //排序
        var region: RegionItem = RegionItem(), //省
        var sub: SubItem = SubItem(), //市

        var showType: ShowTypeItem = ShowTypeItem(), //显示方式
        val enquiries: ArrayList<EnquiryItem> = ArrayList(), //咨询方式
        var priceRanges: PriceRangesItem ?= null, //服务均价
        var priceRangesView: TextView ?= null, //服务均价
        val ages: ArrayList<AgeItem> = ArrayList(), //年龄
        val doctorEdu: ArrayList<DoctorEduItem> = ArrayList(), //学历
        val others: ArrayList<OtherItem> = ArrayList(),//其他筛选

        val title:ArrayList<ReorderItem> = ArrayList(), //资质
        val specialityCrowd:ArrayList<SpecialityCrowdBean> = ArrayList() // 擅长人群
)